
body.dark-mode {

    /* backgrounds */
    --thm-white: #020617;
    --thm-gray-bg: #020617;
    --thm-gray-bg-2: #0f172a;
    --thm-gray-bg-3: #0f172a;
    --thm-black-bg: #020617;

    /* text colors */
    --thm-black: #e2e8f0;
    --thm-heading-font-color: #f8fafc;
    --thm-body-font-color: #cbd5e1;

    /* borders */
    --thm-border-color: #1e293b;
    --thm-border-color-1: #1e293b;
    --thm-border-color-2: #1e293b;

    /* keep brand color SAME */
    --thm-primary-color: #9b1101;
}

body.dark-mode,
body.dark-mode .page-wrapper {
    background:#020617 !important;
}

body.dark-mode section,
body.dark-mode .single-what-we-do-style1,
body.dark-mode .main-header-style1 {
    background:#0f172a !important;
}

body.dark-mode .main-header-style1__content-bottom{
    background:#0f172a !important;
}
body.dark-mode .stricky-header .main-menu__wrapper{
    background:#0f172a !important;
}

body.dark-mode .stricky-header,
body.dark-mode .stricky-header--style1.main-menu,
body.dark-mode .stricky-header .main-menu__wrapper,
body.dark-mode .stricky-header .main-menu__wrapper-inner{
    background:#0f172a !important;
    /* box-shadow:none !important; */
}

body.dark-mode .main-menu__list > li > a{
    color:#e2e8f0 !important;
}

body.dark-mode .main-menu__list > li:hover > a{
    color:#ff3b3b !important;
}

body.dark-mode .main-menu__list li ul{
    background:#0f172a !important;
}

body.dark-mode .main-menu__list li ul li a{
    color:#e2e8f0 !important;
}


body.dark-mode .testimoial-style1__content-inner{
    background:#0f172a !important;
    border:2px dotted #ff3b3b !important;
}

body.dark-mode .testimoial-style1__content-top h3{
    color:#ff3b3b !important;
}

body.dark-mode .testimoial-style1__content-top p{
    color:#e2e8f0 !important;
}

body.dark-mode 
.testimoial-style1__content-bottom p span{
    color:#ffffff !important;
}

body.dark-mode 
.testimoial-style1__content-bottom p{
    color:#cbd5e1 !important;
}


body.dark-mode .testimoial-style1__content-icon{
    background:#020617 !important;
}

body.dark-mode .single-fact-counter-style2__count .last{
    color:#ffffff !important;
} 
/* ===============================
   DARK MODE TOGGLE BUTTON
=================================*/

.dark-toggle {
    width: 38px;
    height: 38px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    position: relative;
    align-items: center;
    justify-content: center;

    background: var(--thm-primary-color);
    box-shadow:
        0 4px 12px rgba(0,0,0,0.15),
        inset 0 2px 4px rgba(255,255,255,0.6);

    transition: all 0.35s ease;
}

/* icon */
.dark-toggle .modeIcon {
    font-size: 20px;
    transition: 0.4s ease;
}

/* hover effect */
.dark-toggle:hover {
    transform: translateY(-2px) scale(1.05);
    box-shadow:
        0 8px 20px rgba(0,0,0,0.25);
}

/* ===============================
   DARK MODE STYLE
=================================*/

body.dark-mode .dark-toggle {
    background: linear-gradient(135deg,#020617,#0f172a);
    box-shadow:
        0 4px 15px rgba(0,0,0,0.6),
        inset 0 0 10px rgba(255,255,255,0.05);
}

body.dark-mode .dark-toggle .modeIcon {
    transform: rotate(180deg);
}

/* glowing effect */
body.dark-mode .dark-toggle:hover {
    box-shadow:
        0 0 3px #ff3b3b,
        0 0 25px rgba(255,59,59,0.5);
}
/* align dark toggle with Contact Us button */
.dark-toggle {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    vertical-align: middle;
    position: relative;
    top: -7px;   /* adjust alignment */
}
/* =====================
   FOOTER DARK MODE FIX
=====================*/

body.dark-mode .footer-style3,
body.dark-mode .footer-style3 p,
body.dark-mode .footer-style3 a,
body.dark-mode .footer-style3 li,
body.dark-mode .copyright-text-style3 p {
    color: var(--thm-body-font-color) !important;
}

body.dark-mode 
.footer-widget-useful-links-style3 ul li a,
body.dark-mode 
.footer-widget-style3-contact li .text p,
body.dark-mode 
.footer-widget-style3-contact li .text p a {
    color: var(--thm-body-font-color) !important;
}
body.dark-mode .features-style1__content-two-title h2{
    color: var(--thm-heading-font-color);
}
body.dark-mode .single-blog-style3,
body.dark-mode .single-blog-style3 h3,
body.dark-mode .single-blog-style3 p,
body.dark-mode .single-blog-style3 a{
    color: var(--thm-heading-font-color);
}
body.dark-mode .single-industries-style1 h3,
body.dark-mode .industries-style1__content h3{
    color: #ffffff !important;
}
body.dark-mode .single-fact-counter-style2__count,
body.dark-mode .single-fact-counter-style2__count span{
    color: var(--thm-heading-font-color) !important;
}
body.dark-mode .about-style1__experience{
    background:#020617;
}

body.dark-mode .about-style1__experience h3,
body.dark-mode .about-style1__experience span{
    color:#ffffff !important;
}
/* INDUSTRIES TITLE FIX */
body.dark-mode 
.single-project-style1__img-title h3 a{
    color:#ffffff !important;
}
/* SERVICES TITLE FIX */
body.dark-mode 
.single-project-style2__img-content-left h3 a{
    color:#ffffff !important;
}
/* EXPERIENCE CIRCLE FIX */
body.dark-mode .exp-title{
    color:#000000 !important;
}

body.dark-mode .exp-count{
    color:#000000 !important;
}
/* INDUSTRIES OVERLAY TITLE FIX */
body.dark-mode 
.single-project-style1__img-title-overlay h3 a {
    color: #ffffff !important;
}
body.dark-mode .what-we-do-style1{
    background-color: transparent !important;
}
body.dark-mode .dark-custom{
    background-color: #020617 !important;
}
body.dark-mode .dark-custom-2{
padding-top: 60px;
}
body.dark-mode .single-footer-widget-style3 .title h3{
    color: #ff1a00;
}
body.dark-mode .footer-widget-style3-contact li .text h4{
color: #ff1a00;
}

body.dark-mode .footer-widget-useful-links-style3 ul li a i{
    color: #ff1a00;
}
body.dark-mode .sec-title .sub-title h4{
color: #ff1a00;
}
body.dark-mode .sec-title .sub-title .icon{
color: #ff1a00;
}
body.dark-mode .what-we-do-style1__content-btn a i{
color: #ff1a00;
}
body.dark-mode .single-what-we-do-style1:hover .single-what-we-do-style1__title-inner h3 a{
color: white;
}
body.dark-mode .project-style2-carousel.owl-theme .owl-nav [class*="owl-"] span{
color: #ff1a00;
}
body.dark-mode .project-style2-carousel.owl-theme .owl-nav [class*="owl-"]{
border-color: #ff1a00;
}
body.dark-mode .scroll-to-top .scroll-bar-text{
border-color: #ff1a00;
}
body.dark-mode .btn-one:hover{

    color:#000000 !important;
}

body.dark-mode .btn-one:hover .txt,
body.dark-mode .btn-one:hover i{
    color:#000000 !important;
}
body.dark-mode 
.single-what-we-do-style1__content-btn a,
body.dark-mode 
.single-what-we-do-style1__content-btn2 .btn-one{
    color:#ffffff !important;
}
body.dark-mode .single-what-we-do-style1__content-btn2 .btn-one .txt:before{
    background-color: #e2e8f0;
}
body.dark-mode .single-what-we-do-style1__content-btn2 .btn-one i::after{
    background-color: #e2e8f0;
}
body.dark-mode .mobile-nav__content{
    background-color: #0f172a;
}
body.dark-mode .main-header-style1 {
    background-color: transparent !important;
}
body.dark-mode .single-what-we-do-style1__title-inner {
   border-color: #9b1101;
}

/* FIX breadcrumb image in dark mode */
body.dark-mode .breadcrumb-style1{
    background: transparent !important;
    position: relative;
}

body.dark-mode .breadcrumb-style1-bg{
    z-index: 0 !important;
}

body.dark-mode .breadcrumb-style1 .inner-content{
    position: relative;
    z-index: 2;
}

/* =========================
   BREADCRUMB TEXT DARK MODE
========================= */

/* Title */
body.dark-mode .breadcrumb-style1 h2{
    color:#ffffff !important;
}

/* breadcrumb links */
body.dark-mode .breadcrumb-style1 .breadcrumb-list{
    color:#e2e8f0 !important;
}

/* home link */
body.dark-mode .breadcrumb-style1 .breadcrumb-list a{
    color:#e2e8f0 !important;
}

/* arrow */
body.dark-mode .breadcrumb-style1 .breadcrumb-arrow{
    color:#ff3b3b !important;
}

/* active page */
body.dark-mode .breadcrumb-style1 li.active{
    color:#ffffff !important;
}

body.dark-mode .main-slider-style4 .content-box .btn-one .txt:before{
    background-color: white !important;
}
body.dark-mode .main-slider-style4 .content-box .btn-one i::after{
    background-color: white !important;
}
/* ===============================
   ENQUIRY PAGE DARK MODE
================================= */

/* WHY PARTNER SECTION */
body.dark-mode .why-work-section{
    background:#020617 !important;
    padding-bottom: 50px;
}

body.dark-mode .why-card{
    background:#0f172a !important;
    border-color:#1e293b !important;
}

body.dark-mode .why-card h5{
    color:#e2e8f0 !important;
}


/* TIMELINE */
body.dark-mode .process-timeline:before{
    background:#9b1101;
}

body.dark-mode .process-number{
    background:#9b1101;
    color:#ffffff;
}

body.dark-mode .process-content h5{
    color:#ffffff;
}

body.dark-mode .process-content p{
    color:#cbd5e1;
}


/* ENQUIRY FORM */
body.dark-mode .register-form{
    background:#0f172a;
    border-radius:10px;
}

body.dark-mode .register-form label{
    color:#e2e8f0;
}

body.dark-mode .register-form input,
body.dark-mode .register-form textarea,
body.dark-mode .register-form select{
    background:#020617 !important;
    color:#ffffff !important;
    border:1px solid #1e293b !important;
}

body.dark-mode .register-form input::placeholder,
body.dark-mode .register-form textarea::placeholder{
    color:#94a3b8;
}

/* submit button */
body.dark-mode .register-form .btn-one{
    border-color:#9b1101;
}

/* Card 1 icon */
body.dark-mode .why-card-1 img{
    content:url("../images/gamtech/icon/dark-1.png");
}

/* Card 2 icon */
body.dark-mode .why-card-2 img{
    content:url("../images/gamtech/icon/dark-2.png");
}

/* Card 3 icon */
body.dark-mode .why-card-3 img{
    content:url("../images/gamtech/icon/dark-3.png");
}

.nice-select .option:hover,
.nice-select .option.focus,
.nice-select .option.selected {
    background: #9b1101 !important;
    color: #fff !important;
}



/* ===============================
QUEST PAGE DARK MODE
================================ */

/* MAIN SECTION BACKGROUND */
body.dark-mode .products-style2,
body.dark-mode .products-style3,
body.dark-mode .faq-page{
    background:#020617 !important;
    padding-top: 80px;
}

/* SECTION TITLES */
body.dark-mode .sec-title h2,
body.dark-mode .sec-title h3{
    color:#ffffff !important;
}

body.dark-mode .sec-title h4{
    color:#cbd5e1 !important;
}

/* TEXT PARAGRAPHS */
body.dark-mode p{
    color:#cbd5e1;
}

/* PRODUCT IMAGE CARDS */
body.dark-mode .single-products-style2{
    background:#0f172a;
    border:1px solid #1e293b;
}

/* BANNER CARD */
body.dark-mode .products-style2__banner{
    background:#0f172a;
}

/* PRODUCT STYLE 3 CARDS */
body.dark-mode .single-products-style3__content{
    background:#0f172a !important;
    border:1px solid #1e293b;
}

body.dark-mode .single-service-style3__content-title h3 a{
    color:#ffffff;
}

body.dark-mode .single-service-style3__content-text p{
    color:#cbd5e1;
}

/* NUMBER CIRCLE */
/* body.dark-mode .single-service-style3__content-count{
    background:#9b1101;
    color:#ffffff;
} */

/* MISSION SECTION RIGHT BOX */
body.dark-mode .key-objectives-box{
    background:#0f172a;
    border:1px solid #1e293b;
}

/* FAQ ACCORDION */
body.dark-mode .accordion-box .block{
    background:#0f172a;
    border:1px solid #1e293b;
    border-radius: 8px;
}
body.dark-mode .services-details__faq-content .accordion-box .block .acc-content p{
    color: white !important;
}
body.dark-mode .services-details__faq-content .accordion-box .block .acc-btn::before{
    color: white;
}
.services-details__faq-content .accordion-box .block .acc-btn.active::before{
    /* color: var(--thm-primary-color) !important; */
}
body.dark-mode .services-details__faq-content .accordion-box .block .acc-content{
    background-color: #1e293b;
}
body.dark-mode .accordion-box .acc-btn{
    background:#0f172a;
}

body.dark-mode .accordion-box .acc-btn h3{
    color:#ffffff;
}

body.dark-mode .accordion-box .text-box p{
    color:#cbd5e1;
}

/* FAQ ICON */
body.dark-mode .accordion-box .acc-btn.active{
    border-left:3px solid #9b1101;
}

/* INDUSTRY CARDS */


body.dark-mode .quest-industry{
    color:#ffffff;
}

/* CTA SECTION */
body.dark-mode .features-style1{
    background:#020617;
}


/* CTA LIST */
body.dark-mode .custom-ul li{
    color:#cbd5e1;
}

body.dark-mode .mission-vission-style1__bg{
    z-index:0;
}


/* NUMBER BOX FIX */
body.dark-mode .single-service-style3__content-count{

color:#ffffff !important;
}

/* number text */
body.dark-mode .single-service-style3__content-count h2,
body.dark-mode .single-service-style3__content-count span{
color:#ffffff !important;
}

/* underline below number */
body.dark-mode .single-service-style3__content-count::after{
background:#ffffff !important;
}

body.dark-mode .single-service-style3__content{
background:#0f172a !important;
/* border:1px solid #1e293b; */
}

body.dark-mode .single-service-style3__content:hover{
border-color:#9b1101;
/* box-shadow:0 10px 25px rgba(0,0,0,0.6); */
}
body.dark-mode .single-service-style3__content-round {
    position: absolute;
    left: 0;
    bottom: 0px;
    right: 0;
    margin: 0px auto 0px;
    width: 270px;
    height: 150px;
    overflow: hidden;
    border-radius: 50%;
    background-color: #0f172a;
    transition: background-color 0.5s ease;
    transition: all 0.5s ease;
    z-index: 0;
}

body.dark-mode .quest-title{
    color: white;
}

body.dark-mode .single-products-style2{
    padding-bottom: 0;
    margin-bottom: 20px;
}

body.dark-mode .key-objectives-box p{
    color: white !important;
}
body.dark-mode .faq-page__left-content{
    background-color: #020617;
}

body.dark-mode .services-details__faq-content .accordion-box .block .acc-btn.active{
    background-color:#0f172a ;
}

body.dark-mode .services-details__faq-content .accordion-box .block .acc-btn h3{
    color: white !important;
}


body.dark-mode .sidebar-style1{
    background-color: #0f172a;
}

body.dark-mode .table tbody th, .table tbody td{
    color: white;
}
body.dark-mode .table tbody tr:hover{
    background-color:#1e293b;
}

/* Dark mode placeholder color */
.dark-mode .register-form input::placeholder,
.dark-mode .register-form textarea::placeholder {
    color: #ffffff !important;
    opacity: 1;
}

/* Browser support */
.dark-mode .register-form input::-webkit-input-placeholder,
.dark-mode .register-form textarea::-webkit-input-placeholder {
    color: #ffffff !important;
}

.dark-mode .register-form input:-ms-input-placeholder,
.dark-mode .register-form textarea:-ms-input-placeholder {
    color: #ffffff !important;
}

/* =========================
CONTACT PAGE DARK MODE
========================= */

/* section background */
body.dark-mode .location-info,
body.dark-mode .contact-map-section{
background:#020617 !important;
}


/* CONTACT INFO CARDS */
body.dark-mode .location-info__single{
/* background:#0f172a !important; */
/* border:1px solid #1e293b; */
box-shadow:0 10px 30px rgba(0,0,0,0.5);
}

body.dark-mode .location-info__single-content-title h3{
color:#ffffff !important;
}

body.dark-mode .location-info__single-content-text p,
body.dark-mode .location-info__single-content-text a{
color:#cbd5e1 !important;
}


/* FORM SECTION */
body.dark-mode .main-contact-form__inner{
background:#0f172a;
border:1px solid #1e293b;
padding:30px;
border-radius:10px;
}

body.dark-mode .main-contact-form__inner h2{
color:#ffffff !important;
}


/* INPUT FIELDS */
body.dark-mode .default-form2 input,
body.dark-mode .default-form2 textarea{
background:#020617 !important;
color:#ffffff !important;
border:1px solid #1e293b !important;
}

body.dark-mode .default-form2 input::placeholder,
body.dark-mode .default-form2 textarea::placeholder{
color:#94a3b8;
}


/* INPUT FOCUS */
body.dark-mode .default-form2 input:focus,
body.dark-mode .default-form2 textarea:focus{
border-color:#9b1101 !important;
box-shadow:0 0 0 1px #9b1101;
}


/* MAP */
body.dark-mode .map-wrapper{
border:1px solid #1e293b;
border-radius:10px;
overflow:hidden;
}


/* SECTION TITLE */
body.dark-mode .location-info .sec-title h2{
color:#ffffff !important;
}

body.dark-mode .location-info .sec-title h4{
color:#9b1101 !important;
}

/* DARK MODE ICON SWITCH */

/* quality icon */
body.dark-mode .icon-quality{
content:url("../images/gamtech/icon/quality-dark.webp");
}

/* advance icon */
body.dark-mode .icon-advance{
content:url("../images/gamtech/icon/advance-dark.webp");
}

/* FACT COUNTER ICON SWITCH */

/* Contract Manufacturing */
body.dark-mode .icon-contract{
content:url("../images/gamtech/icon/electronic-component-light.webp");
}

/* PCB Fabrication */
body.dark-mode .icon-pcb{
content:url("../images/gamtech/icon/contract-manufacturing-light.webp");
}

/* Electronic Design */
body.dark-mode .icon-design{
content:url("../images/gamtech/icon/enginerrring-design-light.webp");
}

body.dark-mode .mission-modern-style .mission-vission-style1__title{
    background-color: #0f172a;
    color: white;
}
body.dark-mode .mission-modern-style .mission-vission-style1__single.custom-card{
    background-color: #1e293b;
}
body.dark-mode .mission-modern-style .mission-vission-style1__single p{
    color: white;
}

body.dark-mode .custom-dark{
    background-color: transparent !important;
}

body.dark-mode .single-what-we-do-style1__title-inner::before{
    background: none;
}
body.dark-mode .cta-text p , .cta-text-icon{
    color: black !important;
}
body.dark-mode .sic-icon i{
    color: #0b2948;
}
body.dark-mode .sic-card:hover .sic-icon{
    background-color: #0b2948;
}
body.dark-mode .sic-card p {
    color: black;
}
body.dark-mode .project-style3__text h4{
    color: black;
}
body.dark-mode .project-style3__text p {
    color: black !important;
}

body.dark-mode .cq-text p{
    color: black !important;
}
body.dark-mode .agriculture-skills{
    padding-top: 60px;
}

body.dark-mode .why-v2-content h5{
    color: black;
}
body.dark-mode .why-v2-content p{
    color: black;
}
body.dark-mode .why-v2-card::before{
    background-color: #0b2947 !important;
}
body.dark-mode .why-v2-icon i{
    color: #0b2947;
}
body.dark-mode .mission-modern-style{
    padding-bottom: 0px;
}
body.dark-mode .sourcing-content h3{
    color: white;
}
body.dark-mode .section-title{
    color: white;
}
body.dark-mode .component-card p {
    color: black;
}
body.dark-mode .split-banner{
    background:linear-gradient(90deg, rgb(4 19 36) 0%, rgb(4 19 36) 35%, rgb(185 186 188) 60%, rgb(185 186 188) 85%, rgb(185 186 188) 100%);
}
body.dark-mode .split-right p{
    color: black !important;
}
body.dark-mode .gamtech-card p{
    color: black;
}
body.dark-mode .gamtech-cta p{
    color: black;
}
body.dark-mode .gamtech-ecm-final-top{
    color: black;
}
body.dark-mode .gamtech-ecm-final-item p{
    color: black;
}
body.dark-mode .table tbody tr:hover td{
    color: white !important;
}
body.dark-mode .pcb-section {
    margin-bottom: 0 !important;
}
body.dark-mode .bp-process-title{
    color: white !important;
}
body.dark-mode .bp-process-heading{
    color: white;
}
body.dark-mode .bp-step-title{
    color: white;
}
body.dark-mode .bp-process-box::after{
    background: white;
}
body.dark-mode .bp-process-item:hover .bp-process-heading{
    color: white;
}
body.dark-mode .upload-box{
    background-color: transparent;
}
body.dark-mode .contact-side-theme h3, .contact-side-theme p{
    /* color: black !important; */
}
body.dark-mode .services-details__content-list-single ul li .text p{
    color: white !important;
}
body.dark-mode .gamtech-ecm-final-card-wrap{
    background-color: #0f172a !important;
}
.dark-icon{
    display: none;
}
.light-icon{
    display: block;
}
body.dark-mode .dark-icon{
    display: block;
}
body.dark-mode .light-icon{
    display: none;
}
body.dark-mode .contact-side-theme{
    background-color: transparent;
    border-right:1px solid white !important;
    border-top:1px solid white !important;
    border-bottom:1px solid white !important;
}
body.dark-mode .products-style3{
    z-index: 2 !important;
    background-color: transparent !important;
}
body.dark-mode .gamtech-assembly-section{
    background-color: #0b2947 !important;
}
body.dark-mode .contact-call-btn:hover{
    color: black;
}
body.dark-mode .electonics-title{
    color: white !important;
}
body.dark-mode .quest-link{
    color: white;
}
body.dark-mode .sic-label{
    color: black;
}
body.dark-mode .sic-points{
    color: black;
}
body.dark-mode .main-menu .main-menu__list > li > ul > li > ul > li.products-menu > ul.productul{
    background-color: #020617 !important;
}
body.dark-mode .main-menu .main-menu__list > li > ul > li > ul > li.products-menu > ul.productul > li > a{
    color: white !important;
}
body.dark-mode .main-menu .main-menu__list>li>ul>li>ul, .stricky-header .main-menu__list>li>ul>li>ul{
    border-left: #0f172a;
}
body.dark-mode .qs-table tbody tr:nth-child(even) {
    background-color: #0b2b4a;
}
body.dark-mode .white-icon {
    filter: brightness(0) invert(1) !important;
}
body.dark-mode .quest-h5{
    color: white;
}
body.dark-mode .qs-point ul li{
    color: white;
}
body.dark-mode .qs-bottom-table{
    border-color: white;
}
body.dark-mode .solar-module-ul li{
    color: white;

}
body.dark-mode .product-table th{
    background-color: #0b2b4a;
}
body.dark-mode .about-exp-title{
    color: black;
}
body.dark-mode .process-card p{
    color:black;
}
body.dark-mode .process-card:hover h4, .process-card:hover p{
    color:white !important;
}
body.dark-mode .rising-demand-for-speed-efficiency-list li i{
    color: white;
}